<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Activation KRS</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">KRS</h5>
                                        <span class="h2 font-weight-bold mb-0">Aktifasi</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">Data List</h3>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/activation/krs}" class="btn btn-default btn-sm"><i class="fas fa-arrow-circle-left"></i> Kembali</a>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Tahun Akademik</label>
                                        <select name="tahunAkademik" required
                                                class="form-control js-example-placeholder-single" style="width: 100%!important;">
                                            <option value=""></option>
                                            <option th:each="tahun : ${tahun}" th:selected="(${selectedTahun} == *{tahun})"
                                                    th:value="${tahun.id}" th:text="${tahun.namaTahunAkademik}"></option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-md-12 text-center">
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-info">Cari</button>
                                    </div>
                                </div>
                            </div>

                        </form>
                    </div>

                    <div class="card-body" th:if="${selectedTahun != null}">
                        <div class="card shadow">
                            <div class="card-header border-0">
                                <h3 class="mb-0">List Enable KRS <small th:text="${'  ' + selectedTahun.namaTahunAkademik}">asd</small></h3>
                            </div>
                            <div class="card-body">
                                <div class="row">
                                    <div class="table-responsive">
                                        <table class="table align-items-center table-flush">
                                            <thead class="thead-light">
                                            <tr>
                                                <th>#</th>
                                                <th>NIM</th>
                                                <th>Nama</th>
                                                <th>Prodi</th>
                                                <th>Angkatan</th>
                                                <th>Keterangan</th>
                                                <th>Waktu Input</th>
                                                <th>Waktu Edit</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <tr th:each="data, row : ${list}">
                                                <td th:text="${row.index + 1}"></td>
                                                <td th:text="${data.mahasiswa.nim}"></td>
                                                <td th:text="${data.mahasiswa.nama}"></td>
                                                <td th:text="${data.mahasiswa.idProdi.namaProdi}"></td>
                                                <td th:text="${data.mahasiswa.angkatan}"></td>
                                                <td th:text="${data.keterangan}"></td>
                                                <td th:text="${#temporals.format(data.waktuInput, 'dd - MMM - yyyy HH:mm')}"></td>
                                                <td th:text="${#temporals.format(data.waktuEdit, 'dd - MMM - yyyy HH:mm')}"></td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="card-footer py-4" th:if="${selectedTahun != null}">
                                        <nav aria-label="...">
                                            <ul class="pagination justify-content-end mb-0" sd:pagination="full">
                                                <li class="disabled"><a href="#" aria-label="Previous"><span
                                                        aria-hidden="true">&laquo;</span></a>
                                                </li>
                                                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                                </li>
                                            </ul>
                                        </nav>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>